Imports System.Collections.Generic
Imports System.Linq
Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports SelectPdf

Namespace SelectPdf.Samples
    Partial Public Class pdf_viewer_preferences
        Inherits System.Web.UI.Page

        Protected Sub BtnCreatePdf_Click(sender As Object, e As EventArgs)
            ' create a new pdf document
            Dim doc As New PdfDocument()

            ' add a new page to the document
            Dim page As PdfPage = doc.AddPage()

            ' create a new pdf font
            Dim font As PdfFont = doc.AddFont(PdfStandardFont.Helvetica)
            font.Size = 20

            ' create a new text element and add it to the page
            Dim text As New PdfTextElement(50, 50, _
                "SelectPdf for .NET - Pdf Viewer Preferences Sample", font)
            page.Add(text)

            ' set the pdf viewer preferences
            doc.ViewerPreferences.CenterWindow = True
            doc.ViewerPreferences.DisplayDocTitle = True
            doc.ViewerPreferences.FitWindow = True
            doc.ViewerPreferences.HideMenuBar = True
            doc.ViewerPreferences.HideToolbar = True
            doc.ViewerPreferences.HideWindowUI = False
            doc.ViewerPreferences.NonFullScreenPageMode = _
                PdfViewerFullScreenExitMode.UseNone
            doc.ViewerPreferences.PageLayout = PdfViewerPageLayout.SinglePage
            doc.ViewerPreferences.PageMode = PdfViewerPageMode.UseNone

            ' save pdf document
            doc.Save(Response, False, "Sample.pdf")

            ' close pdf document
            doc.Close()
        End Sub
    End Class
End Namespace
